org.apache.ivy.plugins.resolver

## Class ChainResolver.ResolvedModuleRevisionArtifactInfo

- java.lang.Object
- - org.apache.ivy.plugins.resolver.ChainResolver.ResolvedModuleRevisionArtifactInfo

All Implemented Interfaces:
  ArtifactInfo

Enclosing class:
  ChainResolver

    public static class ChainResolver.ResolvedModuleRevisionArtifactInfo
    extends java.lang.Object
    implements ArtifactInfo

### Constructor Summary

Constructors
Constructor and Description
`ChainResolver.ResolvedModuleRevisionArtifactInfo(ResolvedModuleRevision rmr)`

### Method Summary

Methods
`long` `getLastModified()`
`java.lang.String` `getRevision()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChainResolver.ResolvedModuleRevisionArtifactInfo

    public ChainResolver.ResolvedModuleRevisionArtifactInfo(ResolvedModuleRevision rmr)

### Method Detail

#### getRevision

    public java.lang.String getRevision()

Specified by:
  `getRevision` in interface `ArtifactInfo`

#### getLastModified

    public long getLastModified()

Specified by:
  `getLastModified` in interface `ArtifactInfo`